# pandas.Index.slice_indexer

`Index.``slice_indexer`(start=None, end=None, step=None, kind=None)

  For an ordered Index, compute the slice indexer for input labels and step

  Parameters:

  start : label, default None

  > If None, defaults to the beginning

  end : label, default None

  > If None, defaults to the end

  step : int, default None

  kind : string, default None

  Returns: | indexer : ndarray or slice

  Notes

  This function assumes that the data is sorted, so use at your own peril